#ifndef _RESUMPTIONTOKEN_H_
#define _RESUMPTIONTOKEN_H_

#include "text_t.h"

class ResumptionToken
{ private:
  text_t  collection;
  text_t  browseNode;
  int     startItem;
  text_t  buildDate;
  // TODO: add a server name to the variables list; see getToken in resumptionToken.cpp

 public:
  ResumptionToken(const text_t &collection, const text_t &rootNode, const text_t &buildDate);
  ResumptionToken(const text_t &URN);
  text_t  getToken();
  void setPosition(const text_t &node, int startItem);
  text_t  getCollection() { return collection; }
  text_t  getNode() { return browseNode; }
  int     getPosition() { return startItem; }
  bool isValid();
};

#endif
